﻿@model IEnumerable<eCommerce.Services.Model.Order>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="text-center" style="width:30px;">#Id</th>
            <th class="col-sm-1">Fecha</th>
            <th>Cliente</th>
            <th class="text-center">Canal</th>
            <th class="text-center">F. Pago</th>
            <th class="text-center">F. Entrega</th>
            <th text-center">Total ($)</th>
            <th class="text-center">Cobro</th>
            <th class="text-center">Entrega</th>
            <th class="text-center">Estado</th>      
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@Html.DisplayFor(modelItem => item.OrderId)</td>
            <td>@string.Format("{0:dd/MM/yyyy}", item.Created)</td>
            <td>@Html.DisplayFor(modelItem => item.Customer.FullName)</td>
            <td class="text-center">@(((OrderChannelEnum)item.Channel))</td>
            <td class="text-center">
                @switch (((PaymentMethodEnum)item.PaymentMethodId))
                {
                    case PaymentMethodEnum.Convenir:
                    case PaymentMethodEnum.Efectivo:
                    case PaymentMethodEnum.MercadoPago:
                        <label>@((PaymentMethodEnum)item.PaymentMethodId)</label>
                        break;
                    case PaymentMethodEnum.TransferenciaBancaria:
                        <label>Transferencia</label>
                        break;
                }
            </td>
            <td class="text-center">
                @switch (((DeliveryMethodEnum)item.DeliveryMethodId))
                {
                    case DeliveryMethodEnum.MotoEntrega:
                        <label>Moto</label>
                        break;
                    case DeliveryMethodEnum.OcaPaP:
                        <label>OCA - Envio a domicilio</label>
                        break;
                    case DeliveryMethodEnum.OcaPaS:
                        <label>OCA - Envio a sucursal</label>
                        break;
                    case DeliveryMethodEnum.RetiraEnCentroDeEntrega:
                        <label>Retira</label>
                        break;
                    case DeliveryMethodEnum.Transporte:
                        <label>Transporte</label>
                        break;
                } 
            </td>
            <td class="text-right">@string.Format("{0:C2}", item.Total)</td>
            <td class="text-center">
                @switch (item.PaymentStatus.ToUpper())
                {
                    case "A COBRAR":
                        <span class="label label-outline label-danger">@item.PaymentStatus.ToUpper()</span>
                        break;
                    case "COBRO PARCIAL":
                        <span class="label label-outline label-warning">@item.PaymentStatus.ToUpper()</span>
                        break;
                    case "COBRADO":
                        <span class="label label-outline label-success">@item.PaymentStatus.ToUpper()</span>
                        break;
                } 
            </td>
            <td class="text-center">
                @switch (item.DeliveryStatus.ToUpper())
                {
                    case "A ENTREGAR":
                        <span class="label label-outline label-danger">@item.DeliveryStatus.ToUpper()</span>
                        break;
                    case "ENTREGA PARCIAL":
                        <span class="label label-outline label-warning">@item.DeliveryStatus.ToUpper()</span>
                        break;
                    case "ENTREGADO":
                        <span class="label label-outline label-success">@item.DeliveryStatus.ToUpper()</span>
                        break;
                } 
            </td>
            <td class="text-center">
                @switch (((OrderStatusEnum)item.OrderStatusId))
                {
                    case OrderStatusEnum.Cotizado:
                        <span class="label label-outline label-default">COTIZADO</span>
                        break;
                    case OrderStatusEnum.Confirmado:
                        <span class="label label-outline label-primary">CONFIRMADO</span>
                        break;
                    case OrderStatusEnum.Preparado:
                        <span class="label label-outline label-dark">PREPARADO</span>
                        break;
                    case OrderStatusEnum.Controlado:
                        <span class="label label-outline label-success">CONTROLADO</span>
                        break;
                    case OrderStatusEnum.Entregado:
                        <span class="label label-success">ENTREGADO</span>
                        break;
                    case OrderStatusEnum.Proforma:
                        <span class="label label-success">PROFORMA</span>
                        break;
                } 
            </td>
            <td class="actions text-left">
                
                <a href="/Orders/OrderUpdate/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default sendmail-row"
                   data-toggle="tooltip" data-original-title="Enviar Proforma" data-rowid="@item.OrderId"><i class="icon fa-envelope-o" aria-hidden="true"></i></a>
                
                <a href="/OrderPayments?id=@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Cobros"><i class="icon fa-money" aria-hidden="true"></i></a>
                
                <a href="/DeliveryOrders/DeliveryOrderList/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Entregas"><i class="icon fa-bus" aria-hidden="true"></i></a>

                <a href="/Orders/OrderPrint/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Imprimir"><i class="icon fa-print" aria-hidden="true"></i></a>
                
                @if (item.OrderStatusId != (int)OrderStatusEnum.Cancelado)
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default cancel-row"
                       data-toggle="tooltip" data-original-title="Cancelar" data-rowid="@item.OrderId"><i class="icon fa-ban" aria-hidden="true"></i></a>
                }
                else
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                       data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.OrderId"><i class="icon wb-trash" aria-hidden="true"></i></a>
                }

            </td>
        </tr>
    }
    </tbody>
</table>
